<!-- <!DOCTYPE html PUBLIC "-//W3C/ DTD HTML 4.01 Transitional//EN"> -->

<html >
    <head>
        <META HTTP-EQUIV="content-type" CONTENT="text/html; charset=utf-8">

        <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
        <script type="text/javascript">
         var speidel;
         var urlParams = new URLSearchParams(window.location.search);

         if (urlParams.get('speidel')) {
             speidel = urlParams.get('speidel');
         } else if (localStorage.getItem('speidel')) {
             speidel = localStorage.getItem('speidel');
         } else {
             speidel = 'speidel'
         }
         window.localStorage.setItem('speidel', speidel);

         if (urlParams.get('lang')) {
             lang = urlParams.get('lang');
         } else {
             lang = 'en';
         }
         window.localStorage.setItem('lang', lang);
         var langscript_tag = document.createElement('script');
         langscript_tag.onload = function () {
             bmtext = langvars.lngVars;
             bmbuttons = langvars.buttons;
         };
         var first = document.getElementsByTagName('script')[0];
         first.parentNode.insertBefore(langscript_tag, first);
         // FIXME, add language support https://stackoverflow.com/questions/14521108/dynamically-load-js-inside-js
         // langscript_tag.src='steuerung/getLanguage.'+lang+'.json';
         // langscript_tag.onreadystatechange = 
        </script>

        <script src="steuerung/layout/js/jquery.dev.js"></script>
        <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no">
        <!--<link rel="stylesheet" href="http://www.speidel-edelstahlbehaelter.de/system/modules/cm_membergooglemaps/assets/cm_member.css">
             <link rel="stylesheet" href="http://www.speidel-edelstahlbehaelter.de/system/modules/flexslider/assets/css/flexslider_styles.css">-->
        <link rel="stylesheet" href="steuerung/layout/css/stylesheet-braumeister-mobil.css"></link>

        <!--<script src="http://www.speidel-edelstahlbehaelter.de/assets/js/dbee9ce3a3ee.js"></script>-->
        <!--<script type="text/javascript" src="http://fast.fonts.net/jsapi/f6d4fe9a-2f9b-4013-88e2-8d055452f709.js"></script>-->
        <!---->

        <!-- FIXME, add language support https://stackoverflow.com/questions/14521108/dynamically-load-js-inside-js -->
        <script src="steuerung/getLanguage.en.json"></script>
        <script src="steuerung/layout/js/bm_controll-min.js" type="text/javascript"></script>
        <script src="steuerung/layout/js/debug-min.js" type="text/javascript"></script>



        <style type="text/css">
         /* body { display: block; margin: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; }

          * { font-size:14px; }
            big { font-size:24px; font-style:bold}
            small { font-size:10px;  }*/
        </style>

        <!--<script src="layout/js/bmstat-min.js" type="text/javascript">-->
        <script type="text/javascript">
         var bmtext = [];
         var bmbuttons = {};
         var hostname = speidel;
         var protokol = 'http://';
         var basePath = '/steuerung/';
         var bmstat = "http://"+speidel+"/bm.txt";
         var bmrz = "http://"+speidel+"/rz.txt";
         var bmvers = "http://"+speidel+"/vs.txt";
         function CalcFenster () {

         }

         var s16 = 16;
         var s320 = 320;
         var s240 = 240;
         var s4 = 4;
         var s318 = 318;
         var s40 = 40;
         var s50 = 50;

         $(function () {
             var frm = $('#rezept-absenden');
             
             frm.submit(function (ev) {
	         var rezeptNr = $("#rezept-absenden input[type='radio']:checked").val();
	         var rezeptName = $("#rezeptName").val();
	         
	         $.ajax({
	             url: 'https://'+speidel+'/rz.txt',
	             type:'POST',
	             data:
	          {
		      rz: rezeptNr + "X21X21X0X21X1X21X0X21X0X21X1X5X85X4X3X2X1X0X90." + rezeptName,
	          },
	             success: function(msg)
	             {
		         alert('Die Rezeptdaten wurde erfolgreich geschickt');
	             }               
	         });
	         ev.preventDefault();
             });
         });



         //var soundHandle = document.getElementById('soundHandle');

         $(document).ready(function() {
             bmtext = langvars.lngVars;
             bmbuttons = langvars.buttons;

             addEventListener('touchstart', function (e) {
                 // soundHandle.src = '/layout/audio/bing.wav';
                 // soundHandle.loop = true;
                 // soundHandle.play();
                 // soundHandle.pause();
             });
         });


        </script>

        <title id="title">Speidels BraumeisterMobil</title>
    </head>

    <body id="top" style="background-color: #ffffff; " onload="CalcFenster();" onresize = "CalcFenster()">
        <audio id="soundHandle" autoplay>
            <source src="steuerung/layout/audio/bing.wav" type="audio/wav"/>
            <!-- Flash als Fallback-Lösung -->
            <embed src="layout/audio/audio.swf" />
            <!-- Fehlermitteilung -->
            Ihr Browser unterstützt das Audio- Element nicht!
        </audio>
        
        <div id="page">
            <!-- 	<a href="#mmenu" id="mmenuButton">Menu</a> -->
            <div class="wrapper">
	        <div class="header-status-fix">
		    <div class="header-status-wrapper">
			<div class="container">
			    <div class="inside">
				
				<div class="header-status">
				    <div class="header-status-breadcrumb">
					<p class="pageTitle"></p>
				    </div>
				    <div class="header-live">
					<ul class="header-live-ul">
					    <li class="header-live-date-li"><span class="display-status-temperatur">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></li>
					    <li class="header-live-date-li"><span class="display-status-pump">P</span></li>
					    <li class="header-live-date-li"><span class="display-status-heater">H</span></li>
					    <li class="header-live-date-li"><span class="header-display-status-time">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></li>									
					    <li class="header-live-date-li"><span class="header-display-status-link-text">&nbsp;</span></li>
					    <li class="header-live-date-li"><span class="header-display-status-link">&nbsp;</span></li>
					</ul>	
				    </div>	
				    
				</div>	
				
			    </div>
			</div>	
		    </div>	
	        </div>
	        <header class="header">
		<div class="inside">
		    <header class="ce_headline">
			<h1 onclick="soundHandle.play(); soundHandle.loop=false;">BraumeisterMobil 
                        

		    </header>				
		    <span title="Zur Startseite" class="logo"><img src="steuerung/layout/images/speidel-behaelter.png" alt="Speidel Edelstahlbehälter" /></span>
		</div>

	</header>
	<div class="container">
	    <div class="main">
		<div class="inside">
		    <div class="braumeister-wrapper">
			<div class="display-wrapper">
				<div class="fix">
					<div class="display-panel">	
						<div class="display">
							<div class="display-screen load">
								<header>
									<div class="display-area">
									    <p class="pageTitle">Main menu</p>
									</div>
									<div class="display-status">
										<ul>
											<li class="display-status-time"><time></time></li>
											<li class="display-status-pump"><span>P</span></li>
											<li class="display-status-heater"><span>H</span></li>
											<!--<li class="connection"></li> -->
										</ul>
										
									</div>
									<div class="display-status-bar"><span class="display-status-bar-percent">&nbsp;</span></div>
								</header>
								<section class="display-content">
									<div class="display-content-inner">
										<div class="display-content-row">
											<div class="col-left">
												<h2>Temp</h2>
												<p>Set/Actual</p>
												
											</div>
											<div class="col-right">
												<h2 id="temperatur" class="temperature-actual"></h2>
												
											</div>
										</div>
										<div class="display-content-row">
											<div class="col-left">
												<h2 >Time</h2>
												<p>Set/Actual</p>
												
											</div>
											<div class="col-right">
												<h2></h2>
												
											</div>
											
										</div>
									</div>
								</section>
								<nav class="display-content-navigation">
									<ul class="display-content-navigation-ul">
										<li id="navigation-button-1" 
											class="click-element first display-content-navigation-li display-content-navigation-button-1 dbutton"
											id="settings"><span>Settings</span></li>
										<li id="navigation-button-2" 
											class="click-element display-content-navigation-li display-content-navigation-button-2 dbutton"
											id="manually"><span>Manual</span></li>
										<li id="navigation-button-3" 
											class="click-element display-content-navigation-li display-content-navigation-button-3 dbutton disabled"
											id="brewstart"><span>Brewstart</span></li>
										<li id="navigation-button-4" 
											class="click-element last display-content-navigation-li display-content-navigation-button-4 dbutton disabled"
											id="recieps"><span>Recipe</span></li>
									</ul>
									<div class="clearfix"></div>	
								</nav>
							</div>
							<nav class="display-navigation">
								<ul class="display-navigation-ul">
									<li class="first display-navigation-li display-navigation-button-1 bmbutton"><span> </span></li>
									<li class="display-navigation-li display-navigation-button-2 bmbutton"><span> </span></li>
									<li class="display-navigation-li display-navigation-button-3 bmbutton"><span> </span></li>
									<li class="last display-navigation-li display-navigation-button-4 bmbutton"><span> </span></li>
								</ul>
								
								
							</nav>
							
						</div>
					</div>
				</div>
				<div id="reportABug">
					<!--
						<a href="#" >Zurück zu myspeidel.com</a>-->
						<a href="mailto:feedback@myspeidel.com?subject=Fehler%20in%20mobiler%20Steuerung%20melden" id="mailBug">Report a bug</a>
				    <a id="temp-watch-url">Temperature watcher</a>
				</div>
			</div>
			
			<div class="brew-options">
				<div class="startinfo"></div>	
				<div class="brew" style="display:none;">
					<div class="recipe-process">
						<div class="recipe recipe-1 current">
							<div class="brew-process">
								<!-- <p><span class="button big cancel">Braustart abbruch</span></p> -->
								<h2 class="recipe-select-li recipeName">Recipe</h2>								
								<ul class="brew-process-ul">
									<li class="brew-process-li" id="einmaischen">
										<h3>Mashing <span class="info close"></span></h3>
										<div class="brew-process-information">
											<p>	
												<span class="recipe-detail">
												Temperature: Set <span class="temperature-set"></span><span class="temperature-actual_text"> Actual: </span><span class="temperature-actual"></span><br>
												</span>
												<span class="status"></span>
												<span class="recipe-loading-status"></span>
											
											</p>
										</div>
										<div class="brew-process-query"></div>	
										<article class="info-box">
											<header class="info-box-header"><h3><span>Info Temperature</span></h3></header>
											<section class="info-box-content">
												<figure><img src="steuerung/layout/images/einmaischen.gif" alt="Einmaischen"></figure>
												<div class="info-box-content-text">	
													<p>A sound will signal that the mashing temperature has been reached. Now put in the malt pipe (with mounted seal at bottom). Make sure that the seal is centered with malt pipe and sits completely flat on the bottom of the kettle. Slide in sieve plate upwards to the bottom edge with the pipe (for 10 to 50 litres; also place in the fine sieve). Now pour the malt into the pipe. It is important that no malt falls off to the side because this may block the pump. Stir in the malt well with a cooking spoon and leave to soak for a few minutes. Then slide the fine sieve over the malt and insert a second sieve plate on top (pipe still facing up). Replace retaining bracket and tighten securely with wing nut. Continue automatic operation by selection. Light-coloured brewing water will rise and run over. The cycle has begun. The next brewing phases will be performed completely automatically according to the programme. Some brewing phases are controlled by briefly shutting off the pump to reposition the malt.</p>
												</div>
											</section>
										</article>
										<div class="clearfix"></div>
									</li>
									<li class="brew-process-li rast" id="rast_1">
										<h3><span class="number">1.</span> Step<span class="info close"></span></h3>
										<div class="brew-process-information">
											<p class="brew-process-information-p">
												<span class="recipe-detail">
													Temperature: Set <span class="temperature-set"></span><span class="temperature-actual_text"> Actual: </span><span class="temperature-actual"></span> <br>
													Time: Set <span class="time-set"></span> <span class="time-actual_text"> Actual: </span><span class="time-actual"></span> <br>
												</span>
												<span class="status"></span>
												<span class="recipe-loading-status"></span>
											</p>
										</div>
										<div class="brew-process-query"></div>	
										<article class="info-box">
											<header class="info-box-header"><h3><span>Info 1.Step</span></h3></header>
											<section class="info-box-content">
												<figure><img src="steuerung/layout/images/rast.gif" alt="Einmaischen"></figure>
												<div class="info-box-content-text">	
													<p>During the <b>protein rest</b>, large protein molecules in the malt are split into smaller particles. The protein rest is important for clarity and a full flavour and especially for foam stability and the carbonic acid neutralizing capacity of the beer. The temperature is around 52°C and is maintained for between 5-20 minutes depending on the programmed recipe. Many recipes do not include this phase for better foam stability.</p>
												</div>
											</section>	
										</article>
										<div class="clearfix">	</div>
									</li>
									<li class="brew-process-li" id="hops">
										<h3>Boiling <span class="info close"></span></h3>
											<div class="brew-process-information">
												<p class="brew-process-information-p">
													<span class="recipe-detail">
														Temperature: Set <span class="temperature-set"></span><span class="temperature-actual_text"> Actual: </span><span class="temperature-actual"></span> <br>
														Time: Set <span class="time-set"></span><span class="time-actual_text"> Actual: </span><span class="time-actual"></span> <br>
													</span>
													<span class="status"></span>
												</p>
												<span class="recipe-loading-status"></span>	
												<h4 class="hoppings">Addition of hops</h4>
												<ul class="hoppings-ul">
													<li class="hoppings-li"><span class="title">1. of 6 Hoppings</span> – <span class="time-set"></span> <span class="status"></span></li>
												</ul>
											</div>
											<div class="brew-process-query"></div>
											<article class="info-box">
												<header class="info-box-header"><h3><span>Info Boiling</span></h3></header>
												<section class="info-box-content">
													<figure><img src="steuerung/layout/images/hopfenkochen.gif" alt="Einmaischen"></figure>
													<div class="info-box-content-text">	
														<p>Select the appropriate option in order to begin the <b>hop cook</b>. Do not put on lid. Steam must be able to escape. Avoid overcooking. The first addition of hops can take place, for example, 10 minutes after cooking begins. Another mid way through cooking and the last addition of hops is shortly before the cooking process has ended. Early additions of hops ensure that the bitter tones of the hop are emphasised, later additions emphasise the aroma and fragrance. Replenish evaporated water and/or adjust original wort. The type and quantity of hops determines the bitter tones and aroma of the beer and range from mild hoppy wheat beers with 10-20 bittering units (IBU) through to lagers with 30-40 and Indian pale ales (IPA) with 80-100 bittering units.</p>													</div>
												</section>
											</article>
										<div class="clearfix">	</div>
									</li>
									<li class="brew-process-li brew-process-li-end">
										<h3>Brewing completed <span class="info close"></span></h3>
										<p class="brew-process-end-p">Cheers!</p>
										<article class="info-box">
											<header class="info-box-header"><h3><span>Info End of brewing process</span></h3></header>
											<section class="info-box-content">
												<figure><img src="steuerung/layout/images/brauvorgang-beendet.gif" alt="Einmaischen"></figure>
												<div class="info-box-content-text">	
													<p>Vigorously stir hot wort (whirlpool effect) to clear the wort from the trub. This is performed by the pump for 200/500 litres. Then immediately place the cooling coil (accessory) in the middle of the kettle. For 200/500 litres, place on the cooling jacket, connect to cold water and begin cooling. Please note: Boiling water will flow through the cooling coil/jacket at the beginning. Cool wort to 25°C. You must now keep everything sterile while working due to the risk of infection. Allow the trub particles to settle at the bottom. Try not to disturb the settling process. Pour wort into a sterile fermentation vessel. Add yeast to the wort and seal the fermentation vessel with a fermenting bung. Wort can be removed before being placed in the bottle/keg and stored cold in order to have fermentable residual extract available for secondary fermentation/maturation. </p>												</div>
											</section>
											
										</article>
										<div class="clearfix">	</div>
									</li>
								</ul>
							</div>								
						</div>
					</div>
				</div>
			</div>
			
		</div>
	</div>
	</div>
</div>
</div>
<!--
<footer class="footer">
<div class="container">
	<div class="inside">
		<nav class="mod_changelanguage block">
			<ul class="level_1">
			</ul>
		</nav>
		<nav class="mod_customnav block">
		</nav>
	</div>
</div>
</footer>
-->


<!--

<footer class="footer">
	<div class="container">
		<div class="inside">
			
<nav class="mod_customnav block">



  
<ul class="level_1">
<li class="first"><a href="http://www.speidel-behaelter.de/de/agb.html" title="Allgemeine Geschäftsbedingungen" class="first">AGB</a></li><li><a href="http://www.speidel-behaelter.de/de/impressum.html" title="Impressum" rel="nofollow">Impressum</a></li><li><a href="http://www.speidel-behaelter.de/de/datenschutz.html" title="Datenschutzerklärung" rel="nofollow">Datenschutz</a></li><li class="right last"><a href="http://www.speidel-behaelter.de/de/startseite.html" title="© Speidel Tank- und Behälterbau" class="right last">© Speidel Tank- und Behälterbau</a></li></ul>


</nav>
		</div>
	</div>
</footer>
-->
</div>
<div style="display:none;visibility: hidden;width: 0px;height: 0px;overflow: hidden;">
	<div id="pages">
		<div class="page" id="startseite">
			<div class="display-content-row" style="width: 70%;">
				<h2>Speidels Braumeister</h2>
			</div>
			<div class="display-content-row" style="width: 70%;">
				<div class="col-left">
					<h2>Temp</h2>
				</div>
				<div class="col-right txt-right">
					<h2 id="temperatur" class="temperature-actual">##.# °C</h2>
				</div>
			</div>
		</div>
		<div class="page" id="rezepte">
			<div class="display-content-row">
				
			</div>
		</div>
		<div class="page" id="automatik">
				<div class="display-content-row">
					<h2>Pump ventilation</h2>
				</div>
				<div class="display-content-row">
					<h2> </h2>
					<p> </p>
				</div>
		</div>
		<div class="page" id="automatik_step">
			<div class="display-content-row">
				<div class="col-left">
					<h2>Temp</h2>
					<p>Set/Actual</p>
				</div>
				<div class="col-right">
					<h2 class="temperature-set"><span class="fixTemp">##</span> / <span class="temperature-actual">##</span></h2>
				</div>
			</div>
			<div class="display-content-row">
				<h2>Water filled in?</h2>
				<p>continue with  <span class="button onward">&nbsp;</span></p>
			</div>
		</div>
		
		<div class="page" id="automatik_step_tt">
			<div class="display-content-row">
				<div class="col-left">
					<h2>Temp</h2>
					<p>Set/Actual</p>
				</div>
				<div class="col-right">
					<h2 class="temperature-set"><span class="fixTemp">##</span> / <span class="temperature-actual">##</span></h2>
				</div>
			</div>
			<div class="display-content-row">
				<div class="col-left">
					<h2>Time</h2>
					<p>Set/Actual</p>
				</div>
				<div class="col-right">
					<h2><span class="time-set">##</span> / <span class="runtime">#:##</span></h2>
				</div>
			</div>
		</div>
		<div class="page" id="automatik_step_tt_hop">
			<div class="display-content-row">
				<h2>Add hops</h2>
				<p></p>
			</div>
			<div class="display-content-row">
				<div class="col-left">
					<h2></h2>
					<p></p>
				</div>
				<div class="col-right">
					<h2 id="temperatur"></h2>
				</div>
			</div>
		</div>
		<div class="page" id="message">
			<div class="display-content-row">
				<h2>Automatic stopped</h2>
			</div>
			<div class="display-content-row">

<script>
document.getElementById('temp-watch-url').setAttribute('href',"temp-watch.html?speidel="+speidel);
</script>

				<p>continue with <span class="button onward">&nbsp;</span> Abort with <span class="button abort">&nbsp;</span></p>
			</div>
		</div>
	</div>
</div>
	<script type="text/javascript" src="steuerung/layout/js/functions-braumeistermobil-min.js"></script>
</body>
</html>
